Jpanu
Posts: 3
Joined: Fri Feb 06, 2015 3:03 pm

wxwidgets and python 3.

Fri Jan 11, 2019 4:28 pm

Hello all.

I installed from repos wx2.8, and it is working on 2.x python. But not on 3.x (3.0/3.4).
Then i tried to pip3 install wxpython, which starts to install, but always crashes to :"No package 'gtk+-3.0' found

no

*** Could not run GTK+ test program, checking why...

*** The test program failed to compile or link. See the file config.log for the

*** exact error that occured. This usually means GTK+ is incorrectly installed.

configure: error:

The development files for GTK+ were not found. For GTK+ 2, please

ensure that pkg-config is in the path and that gtk+-2.0.pc is

installed. For GTK+ 1.2 please check that gtk-config is in the path,

and that the version is 1.2.3 or above. Also check that the

libraries returned by 'pkg-config gtk+-2.0 --libs' or 'gtk-config

--libs' are in the LD_LIBRARY_PATH or equivalent."

any ideas?

User avatar
MrYsLab
Posts: 314
Joined: Mon Dec 15, 2014 7:14 pm
Location: Noo Joysey, USA

Re: wxwidgets and python 3.

Tue Jan 15, 2019 2:42 pm

Have you tried following these instructions: https://wiki.wxpython.org/BuildWxPythonOnRaspberryPi

Return to “Python”